package com.chenyang.druid.sql.ast.expr;

import com.chenyang.druid.sql.ast.SQLExprImpl;
import java.util.Collections;
import java.util.List;

public abstract class SQLNumericLiteralExpr extends SQLExprImpl implements SQLLiteralExpr {
   public abstract Number getNumber();

   public abstract void setNumber(Number var1);

   public abstract SQLNumericLiteralExpr clone();

   public List getChildren() {
      return Collections.emptyList();
   }
}
